Bug 240332 - net/dhcpcd - Update to 8.0.6
Summary: net/dhcpcd - Update to 8.0.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-04 15:06 UTC by roy
Modified: 2019-09-22 12:34 UTC (History)
0 users

See Also:
roy: maintainer-feedback+


Attachments
Patch to update dhcpcd to 8.0.4 (941 bytes, patch)
2019-09-04 15:06 UTC, roy
no flags Details | Diff
Patch to update dhcpcd to 8.0.6 (996 bytes, patch)
2019-09-13 13:58 UTC, roy
roy: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description roy 2019-09-04 15:06:15 UTC
Created attachment 207186 [details]
Patch to update dhcpcd to 8.0.4

* BSD: Fixed router reachability tests
 * inet6: If router unreachable, just solicit a new one
 * inet6: Fon't install a default route if only lladdresses
 * inet6: Stop listening to NA messages
 * BSD: Listen to RTM_MISS messages
 * DHCP: Fix in_cksum for Big Endian
 * DHCP{,6}: Don't log an error if the lease file is truncated

 *  DHCP: Work with IP headers with options
 *  script: Assert that env string are correctly terminated
 *  script: Terminate env strings with no value
 *  script: Don't attempt to use an invalid env string
 *  route: Fix NULL deference error when using static routes
 *  ARP: Respect IFF_NOARP
 *  DHCP: Add support for ARPHRD_NONE interfaces
 *  DHCP: Allow full DHCP support for PtP interfaces, but not by default
 *  control: sends correct buffer to listeners 


  *  script: tmp files are removed for systems without open_memstream(3)
  *  DHCP: Avoid duplicate read of UDP socket when BPF is also open
  *  IP: Avoid adding address if already exists on OS other than Linux
  *  IP6: Avoid adding address is already exists on Solaris
  *  route: Fixed a NULL de-reference error on static routes
  *  DHCP6: Move to REQUEST if any IA has no-binding in REWNEW/REBIND
  *  IP: Accept packets with IP header options 

  *  ARP now supports many requests
  *  Routing tables now use Red-Black Trees
  *  Script variables are no longer allocated manually
Comment 1 roy 2019-09-13 13:58:26 UTC
Created attachment 207466 [details]
Patch to update dhcpcd to 8.0.6

Update now to 8.0.6

  *  inet6: Fix default route not being installed
  *  DHCP: If root fs is network mounted, enable last lease extend
  *  man: Fix lint errors.
  *  BSD: avoid RTF_WASCLONED routes
  *  DHCP: Give a better message when packet validation fails
  *  DHCP: Ensure we have enough data to checksum IP and UDP

The last change fixes a potential DoS attack introduced in dhcpcd-8.0.3 when the checksuming code was changed to accomodate variable length IP headers.
Comment 2 commit-hook freebsd_committer 2019-09-22 12:34:24 UTC
A commit references this bug:

Author: tobik
Date: Sun Sep 22 12:33:34 UTC 2019
New revision: 512581
URL: https://svnweb.freebsd.org/changeset/ports/512581

Log:
  net/dhcpcd: Update to 8.0.6

  PR:		240332
  Submitted by:	roy@marples.name (maintainer)

Changes:
  head/net/dhcpcd/Makefile
  head/net/dhcpcd/distinfo